summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-09-15 13:43:12 +0000
committer Eric Hameleers <alien@slackware.com>2010-09-15 13:43:12 +0000
commite94f11db191bec5b8c9bdec6e86a6e9bb92b5ddf (patch)
treec8f6714b5ff998e57d161d6a984537ea728845d0
parent16db510a36f7ec1f00a46a14ea4e17f5c69fedc0 (diff)
downloadasb-e94f11db191bec5b8c9bdec6e86a6e9bb92b5ddf.tar.gz
asb-e94f11db191bec5b8c9bdec6e86a6e9bb92b5ddf.tar.xz
Update to 1.9.2.9
-rwxr-xr-xxulrunner/build/xulrunner.SlackBuild27
1 files changed, 18 insertions, 9 deletions
diff --git a/xulrunner/build/xulrunner.SlackBuild b/xulrunner/build/xulrunner.SlackBuild
index 1fe75b11..b0113f94 100755
--- a/xulrunner/build/xulrunner.SlackBuild
+++ b/xulrunner/build/xulrunner.SlackBuild
@@ -32,6 +32,8 @@
# Changelog:
# 1.9.1.4-1: 12/Nov/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.9.2.9-1: 15/sep/2010 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh xulrunner.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -42,7 +44,7 @@
# Set initial variables:
PRGNAM=xulrunner
-VERSION=${VERSION:-1.9.1.4}
+VERSION=${VERSION:-1.9.2.9}
SRCVER=$(echo $VERSION | cut -d. -f1-3)
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -65,13 +67,6 @@ SRCURL="http://releases.mozilla.org/pub/mozilla.org/${PRGNAM}/releases/${VERSION
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -94,6 +89,17 @@ case "$ARCH" in
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -138,7 +144,7 @@ echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
cd mozilla-${SRCVER}
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a+X-s .
echo Building ...
export LDFLAGS="$SLKLDFLAGS"
@@ -229,3 +235,6 @@ md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+# Restore the original umask:
+umask ${_UMASK_}
+